%global gitabbrev e83e5a6
%global gitdate 20240914
%global rel %{gitdate}git%{gitabbrev}


Name:           acpi_ec
Summary:        Kernel module (kmod) for %{name}
Version:        1.0.4
Release:        1%{?rel:.%{rel}}%{?dist}
License:        GPLv2
URL:            https://github.com/musikid/acpi_ec

ExclusiveArch:  i686 x86_64
Provides:       %{name}-kmod-common = %{version}
Requires:       %{name}-kmod >= %{version}


%description
%{name} common files.

%prep
#setup -q -c


%build
#Nothing to build


%install
install -m755 -d $RPM_BUILD_ROOT%{_sysconfdir}/modules-load.d/
echo "%{name}" > $RPM_BUILD_ROOT%{_sysconfdir}/modules-load.d/%{name}.conf


%files
%{_sysconfdir}/modules-load.d/%{name}.conf

%changelog
* Tue Oct 15 2024 Andrea Santilli <andreasantilli gmx com> - 1.0.4-20240914gite83e5a6
- Update version and release to match kmod package's ones.

* Thu Jan 05 2023 Andrea Santilli <andreasantilli gmx com> - 1.0.2-20221210git80a31d7
- Initial akmod RPM release.

